Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
>=firefox 60.0.x ist erst mal in package mask gelandet
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) Diskussionsforum
View previous topic :: View next topic  
Author Message
MMMMM
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jun 2011
Posts: 121
Location: Berlin

PostPosted: Fri Aug 03, 2018 12:45 pm    Post subject: Reply with quote

Hmm, ich sehe, daß es bei "system-libvpx" hängt. In den use-flags von firefox gibts noch das hier:
Code:
 - - system-libvpx        : Use the system-wide media-libs/libvpx instead of bundled.

Ich probiers mal...
Back to top
View user's profile Send private message
mike155
l33t
l33t


Joined: 17 Sep 2010
Posts: 616
Location: Frankfurt, Germany

PostPosted: Fri Aug 03, 2018 12:54 pm    Post subject: Reply with quote

Könnte es an Deinem USE-Flag "custom-optimization" liegen?

Lass das besser weg - in der Beschreibung zu dem USE-Flag steht: "unsupported".
Back to top
View user's profile Send private message
MMMMM
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jun 2011
Posts: 121
Location: Berlin

PostPosted: Fri Aug 03, 2018 1:34 pm    Post subject: Reply with quote

https://we.tl/EzPRJfbxQO

OK, ich habe custom-optimization rausgenommen (Warumauchimmer ich das drin hatte, sicherlich schon viele Jahre) und system-libvpx aktiviert.
Back to top
View user's profile Send private message
mike155
l33t
l33t


Joined: 17 Sep 2010
Posts: 616
Location: Frankfurt, Germany

PostPosted: Fri Aug 03, 2018 2:31 pm    Post subject: Reply with quote

Ich habe versucht, den Fehler zu reproduzieren.

Die Stelle, an der der Fehler bei Dir auftritt ist:
Code:
/usr/bin/x86_64-pc-linux-gnu-gcc -std=gnu99 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 \
    -Wall -Wempty-body -Wignored-qualifiers -Wpointer-arith -Wsign-compare \
    -Wtype-limits -Wunreachable-code -Wduplicated-cond -Wno-error=maybe-uninitialized \
    -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=free-nonheap-object \
    -Wformat -Wformat-security -pipe -march=native -no-pie -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 \
    -fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno -pthread \
    -pipe -O2 -fomit-frame-pointer  -fPIC -shared -Wl,-z,defs -Wl,--gc-sections \
    -Wl,-h,libmozavutil.so -o libmozavutil.so \
    /var/tmp/portage/www-client/firefox-61.0-r1/work/firefox-61.0/ff/media/ffvpx/libavutil/libmozavutil_so.list \
    -lpthread -Wl,-O1 -Wl,--as-needed -no-pie -Wl,-rpath=/usr/lib64/firefox,--enable-new-dtags \
    -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro \
    -Wl,-rpath-link,/var/tmp/portage/www-client/firefox-61.0-r1/work/firefox-61.0/ff/dist/bin \
    -Wl,-rpath-link,/usr/lib -fdiagnostics-color -Wl,--version-script,libmozavutil.so.symbols -ldl -lm


Wenn ich diese Anweisung exakt so von Hand ausführe, sehe ich die Fehlermeldung, die auch Du auch erhalten hast:
Code:
/usr/lib/gcc/x86_64-pc-linux-gnu/7.3.0/../../../../lib64/crt1.o: In function `_start':
(.text+0x20): undefined reference to `main'
collect2: error: ld returned 1 exit status


Wenn ich hingegen "emerge firefox" mit den von Dir gewählten USE-Flags ausführe, wird bei mir folgende Anweisung ausgeführt:
Code:
/usr/bin/x86_64-pc-linux-gnu-gcc -std=gnu99 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 \
    -Wall -Wempty-body -Wignored-qualifiers -Wpointer-arith -Wsign-compare \
    -Wtype-limits -Wunreachable-code -Wduplicated-cond -Wno-error=maybe-uninitialized \
    -Wno-error=deprecated-declarations -Wno-error=array-bounds -Wno-error=free-nonheap-object \
    -Wformat -Wformat-security -Wformat-overflow=2 -march=native -pipe -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 \
    -fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno -pthread \
    -pipe -O2 -fomit-frame-pointer  -fPIC -shared -Wl,-z,defs -Wl,--gc-sections \
    -Wl,-h,libmozavutil.so -o libmozavutil.so \
    /var/tmp/portage/www-client/firefox-61.0-r1/work/firefox-61.0/ff/media/ffvpx/libavutil/libmozavutil_so.list \
    -lpthread -Wl,-O1 -Wl,--as-needed -Wl,-rpath=/usr/lib64/firefox,--enable-new-dtags \
    -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro \
    -Wl,-rpath-link,/var/tmp/portage/www-client/firefox-61.0-r1/work/firefox-61.0/ff/dist/bin \
    -Wl,-rpath-link,/usr/lib -fdiagnostics-color -Wl,--version-script,libmozavutil.so.symbols -ldl -lm


Diese Anweisung läuft durch und es gibt keinen Fehler.

Der Unterschied zwischen den beiden Anweisungen ist, dass bei Dir folgendes steht:
Code:
-no-pie

Bitte versuche herauszufinden, warum bei Dir ein "-no-pie" generiert wird. Dafür wird es ja sicherlich einen Grund geben. Sobald das "-no-pie" entfernt ist, solltest Du auch den Firefox wieder compilieren können. 8)

Ich vermute, dass es entweder an Deinem Profil, oder an Deinen CFLAGS liegt. Bitte poste die Ausgabe von:
Code:
emerge --info
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) Diskussionsforum All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum